編集

次の方法で共有


Get purchaseCreditMemoLines

Retrieves the properties and relationships of a purchase credit memo line object for Business Central.

HTTP request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET businesscentralPrefix/companies({id})/purchaseCreditMemoLines({id})

Request headers

Header Value
Authorization Bearer {token}. Required.

Request body

Don't supply a request body for this method.

Response

If successful, this method returns a 200 OK response code and a purchaseCreditMemoLine object in the response body.

Example

Request

Here's an example of the request.

GET https://{businesscentralPrefix}/api/v2.0/companies({id})/purchaseCreditMemoLines({id})

Response

Here's an example of the response.

{
    "id": "aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb",
    "documentId": "dddddddd-3333-4444-5555-eeeeeeeeeeee",
    "sequence": 10000,
    "itemId": "bbbbbbbb-1111-2222-3333-cccccccccccc",
    "accountId": "",
    "lineType": "Item",
    "lineObjectNumber": "1896-S",
    "description": "Athens Desk",
    "unitOfMeasureId": "cccccccc-2222-3333-4444-dddddddddddd",
    "unitOfMeasureCode": "PCS",
    "unitCost": 250.00,
    "quantity": 2,
    "discountAmount": 25.00,
    "discountPercent": 5,
    "discountAppliedBeforeTax": true,
    "amountExcludingTax": 475.00,
    "taxCode": "VAT10",
    "taxPercent": 10,
    "totalTaxAmount": 47.50,
    "amountIncludingTax": 522.50,
    "invoiceDiscountAllocation": 0.00,
    "netAmount": 475.00,
    "netTaxAmount": 47.50,
    "netAmountIncludingTax": 522.50,
    "itemVariantId": "",
    "locationId": "aaaaaaaa-6666-7777-8888-bbbbbbbbbbbb"
}

Tips for working with the APIs
purchaseCreditMemoLine
DELETE purchaseCreditMemoLine
POST purchaseCreditMemoLine
PATCH purchaseCreditMemoLine